#!/bin/sh

action=${1}

case ${action} in

    all)

rm $(find . | grep "~")
cp ./bubakup/DEBIAN/control ./bubakup/DEBIAN/control.bak
bubakupver=$(bzr version-info | grep revno | sed 's/revno: //')
sed -i "s/Version: 1.0/Version: $bubakupver/" ./bubakup/DEBIAN/control
bubakupsize=$(du -ch bubakup | grep total | sed "s/ /\n/g" | sed "s/\t/\n/g" | head --lines 1 | sed s/K//)
sed -i "s/Installed-Size: 10/Installed-Size: $bubakupsize/" ./bubakup/DEBIAN/control
dpkg-deb -b bubakup
mv ./bubakup/DEBIAN/control.bak ./bubakup/DEBIAN/control
mkdir dist
mv bubakup.deb ./dist/bubakup_$bubakupver\_all.deb

esac
